Cross compiling and debugging using eclipse environment

cancel
Showing results for 
Search instead for 
Did you mean: 

Cross compiling and debugging using eclipse environment

Jump to solution
2,151 Views
gurumoorthirasi
Contributor IV

Hi imx forum,

i am newbie to imx25.

Anybody can please tel me step by step procedure to cross compiling and debugging the application code using eclipse environment?

and how can i add My application package into LTIB and how to build that particular app package?

Regards,

Guru


Labels (2)
1 Solution
120 Views
vishvapathi
Contributor V

Hi Guru,

Finally i succeeded intalling LTIB. Thanks for your feedback.

I made eclipse settings according to the below link

http://support.tq-group.com/doku.php?id=en:eclipse

I am getting error while building sample prog on eclipse

Building file: ../src/uart_appnote.c

Invoking: GCC C Compiler

/opt/freescale/usr/local/gcc-4.6.2-glibc-2.13-linaro-multilib-2011.12/fsl-linaro-toolchain/arm-fsl-linux-gnueabi/bin -I/home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/rpm/BUILD/linux-3.0.35/include -include/home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/rpm/BUILD/linux/lib/gen_crc32table -O0 -g3 -Wall -c -fmessage-length=0 -MMD -MP -MF"src/uart_appnote.d" -MT"src/uart_appnote.d" -o "src/uart_appnote.o" "../src/uart_appnote.c"

/bin/sh: /opt/freescale/usr/local/gcc-4.6.2-glibc-2.13-linaro-multilib-2011.12/fsl-linaro-toolchain/arm-fsl-linux-gnueabi/bin: Permission denied

make: *** [src/uart_appnote.o] Error 126


View solution in original post

0 Kudos
18 Replies
120 Views
vishvapathi
Contributor V

Hi Guru,

Did u find out about cross compilation procedure and adding application to LTIB???

120 Views
gurumoorthirasi
Contributor IV

Hi vishvapathi,

Thank you for your kind reply...first..

i have found the details for cross compilation ..i didn't get anything regarding debugging using eclipse environment.

120 Views
vishvapathi
Contributor V

Hi Guru,

Can u share the details regarding cross compilation? i installed eclipse but i m not able to set the path to 

" /opt/freescale/usr/local/gcc-4.1.2-glibc-2.5-nptl-3/arm-none-linux-gnueabi/bin/arm-non

e-linux-gnueabi-gcc "

and while installing LTIB i am getting the following error

Processing: flex

==================

Build path taken because: directory build, no prebuilt rpm,

Cowardly refusing to clobber existing directory:

/opt/freescale/ltib/usr/src/rpm/BUILD/flex-2.5.37

Remove this by hand if you really want to rebuild this package from scratch

Died at ./ltib line 1392.

traceback:

main::build_host_rpms:1392

  main::host_checks:1447

   main:554

any thoughts about it!!!


0 Kudos
120 Views
gurumoorthirasi
Contributor IV

Goto this directory /opt/freescale/ltib/usr/src/rpm/BUILD/flex-2.5.37

and delete the flex-2.5.37 folder there

and run the ./ltib command.this would help you..i hope..

0 Kudos
120 Views
vishvapathi
Contributor V

Tried it... it didnt work out....

0 Kudos
120 Views
gurumoorthirasi
Contributor IV

what error is showing on terminal/

0 Kudos
120 Views
gurumoorthirasi
Contributor IV

install flex package on host then try..

0 Kudos
120 Views
vishvapathi
Contributor V

Error on Terminal:

Installing host support packages.


This only needs to be done once per host, but may take up to
an hour to complete ...


If an error occurs, a log file with the full output may be found in:
/home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/host_config.log


Exiting on error or interrupt
Please see >> /home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/host_config.log for details

Installed flex also...

sudo apt-get install flex

Reading package lists... Done

Building dependency tree      

Reading state information... Done

flex is already the newest version.

0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.



0 Kudos
120 Views
gurumoorthirasi
Contributor IV

what is the log in host_config.log?

0 Kudos
120 Views
vishvapathi
Contributor V


Processing platform: Host support packages
============================================
using /home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/config/platform/host/ltib.preconfig

Processing: fake-provides
===========================

Processing: mkspooflinks
==========================

Processing: distcc
====================

Processing: ccache
====================

Processing: m4
================

Processing: bison
===================

Processing: flex
==================
Build path taken because: directory build, no prebuilt rpm,

Cowardly refusing to clobber existing directory:
/opt/freescale/ltib/usr/src/rpm/BUILD/flex-2.5.37
Remove this by hand if you really want to rebuild this package from scratch

Died at ./ltib line 1392.
traceback:
main::build_host_rpms:1392
  main::host_checks:1447
   main:554


Started: Wed Jun 12 10:36:34 2013
Ended:   Wed Jun 12 10:36:37 2013
Elapsed: 3 seconds

These packages failed to build:
flex

Build Failed

0 Kudos
120 Views
gurumoorthirasi
Contributor IV

after removing from there ..it is showing the same?

0 Kudos
120 Views
vishvapathi
Contributor V

same error with more details...

missing --run makeinfo --version) >/dev/null 2>&1; then \

      for f in flex.info flex.info-[0-9] flex.info-[0-9][0-9] flex.i[0-9] flex.i[0-9][0-9]; do \

        if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \

      done; \

    else :; fi && \

    cd "$am__cwd"; \

    if /bin/bash /opt/freescale/ltib/usr/src/rpm/BUILD/flex-2.5.37/missing --run makeinfo   -I . \

     -o flex.info flex.texi; \

    then \

      rc=0; \

      CDPATH="${ZSH_VERSION+.}:" && cd .; \

    else \

      rc=$?; \

      CDPATH="${ZSH_VERSION+.}:" && cd . && \

      $restore $backupdir/* `echo "./flex.info" | sed 's|[^/]*$||'`; \

    fi; \

    rm -rf $backupdir; exit $rc

/opt/freescale/ltib/usr/src/rpm/BUILD/flex-2.5.37/missing: line 52: makeinfo: command not found

WARNING: `makeinfo' is missing on your system.  You should only need it if

         you modified a `.texi' or `.texinfo' file, or any other file

         indirectly affecting the aspect of the manual.  The spurious

         call might also be the consequence of using a buggy `make' (AIX,

         DU, IRIX).  You might want to install the `Texinfo' package or

         the `GNU make' package.  Grab either from any GNU archive site.

TEXINPUTS=".:$TEXINPUTS" \

    MAKEINFO='/bin/bash /opt/freescale/ltib/usr/src/rpm/BUILD/flex-2.5.37/missing --run makeinfo   -I .' \

    texi2dvi --pdf --batch flex.texi

/bin/bash: texi2dvi: command not found

make[2]: *** [flex.pdf] Error 127

make[2]: Leaving directory `/opt/freescale/ltib/usr/src/rpm/BUILD/flex-2.5.37/doc'

make[1]: *** [install-recursive] Error 1

make[1]: Leaving directory `/opt/freescale/ltib/usr/src/rpm/BUILD/flex-2.5.37'

make: *** [install] Error 2

error: Bad exit status from /home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/tmp/rpm-tmp.83759 (%install)

RPM build errors:

    Bad exit status from /home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/tmp/rpm-tmp.83759 (%install)

Build time for flex: 16 seconds

Failed building flex

Died at ./ltib line 1392.

traceback:

main::build_host_rpms:1392

  main::host_checks:1447

   main:554

Started: Wed Jun 12 11:40:07 2013

Ended:   Wed Jun 12 11:40:25 2013

Elapsed: 18 seconds

These packages failed to build:

flex

Build Failed


0 Kudos
120 Views
gurumoorthirasi
Contributor IV

install the `Texinfo' package then try

0 Kudos
120 Views
vishvapathi
Contributor V

Hi Guru,

After installing texinfo, i was able to select processor and futher installation continued, where i encountered another error

Internationalization

*

* The net-tools package has currently been translated to French,

* German and Brazilian Portugese.  Other translations are, of

* course, welcome.  Answer `n' here if you have no support for

* internationalization on your system.

*

Does your system support GNU gettext? (I18N) [n] make: *** [config.h] Error 1

error: Bad exit status from /home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/tmp/rpm-tmp.25647 (%build)

RPM build errors:

    Bad exit status from /home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/tmp/rpm-tmp.25647 (%build)

Build time for net-tools: 0 seconds

Failed building net-tools

f_buildrpms() returned an error, exiting

traceback:

main:572

Started: Wed Jun 12 11:57:30 2013

Ended:   Wed Jun 12 13:09:20 2013

Elapsed: 4310 seconds

These packages failed to build:

net-tools

Build Failed

Exiting on error or interrupt

vishva@ubuntu:~/Desktop/L3.0.35_4.0.0_130424_source/n/ltib$ sudo apt-get install net-tools

[sudo] password for vishva:

Reading package lists... Done

Building dependency tree      

Reading state information... Done

net-tools is already the newest version.

0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

vishva@ubuntu:~/Desktop/L3.0.35_4.0.0_130424_source/n/ltib$ sudo apt-get install gettext

Reading package lists... Done

Building dependency tree      

Reading state information... Done

gettext is already the newest version.

0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


0 Kudos
120 Views
gurumoorthirasi
Contributor IV

install package gettext and ja-trans then try again..

0 Kudos
120 Views
vishvapathi
Contributor V

Gettext is already installed and ja-trans is obsoleted,

sudo apt-get install net-tools

Reading package lists... Done

Building dependency tree      

Reading state information... Done

net-tools is already the newest version.

0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

vishva@ubuntu:~/Desktop/L3.0.35_4.0.0_130424_source/n/ltib$ sudo apt-get install gettext

Reading package lists... Done

Building dependency tree      

Reading state information... Done

gettext is already the newest version.

0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

vishva@ubuntu:~/Desktop/L3.0.35_4.0.0_130424_source/n/ltib$ sudo apt-get install ja-trans

[sudo] password for vishva:

Reading package lists... Done

Building dependency tree      

Reading state information... Done

Package ja-trans is not available, but is referred to by another package.

This may mean that the package is missing, has been obsoleted, or

is only available from another source

However the following packages replace it:

  net-tools

E: Package ja-trans has no installation candidate


0 Kudos
121 Views
vishvapathi
Contributor V

Hi Guru,

Finally i succeeded intalling LTIB. Thanks for your feedback.

I made eclipse settings according to the below link

http://support.tq-group.com/doku.php?id=en:eclipse

I am getting error while building sample prog on eclipse

Building file: ../src/uart_appnote.c

Invoking: GCC C Compiler

/opt/freescale/usr/local/gcc-4.6.2-glibc-2.13-linaro-multilib-2011.12/fsl-linaro-toolchain/arm-fsl-linux-gnueabi/bin -I/home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/rpm/BUILD/linux-3.0.35/include -include/home/vishva/Desktop/L3.0.35_4.0.0_130424_source/n/ltib/rpm/BUILD/linux/lib/gen_crc32table -O0 -g3 -Wall -c -fmessage-length=0 -MMD -MP -MF"src/uart_appnote.d" -MT"src/uart_appnote.d" -o "src/uart_appnote.o" "../src/uart_appnote.c"

/bin/sh: /opt/freescale/usr/local/gcc-4.6.2-glibc-2.13-linaro-multilib-2011.12/fsl-linaro-toolchain/arm-fsl-linux-gnueabi/bin: Permission denied

make: *** [src/uart_appnote.o] Error 126


View solution in original post

0 Kudos
120 Views
gurumoorthirasi
Contributor IV

Follow the below application notes for eclipse cross compilation.

it is working for me..

http://cache.freescale.com/files/dsp/doc/app_note/AN3870.pdf

0 Kudos